Bug 588753 - rpm -V device-mapper-multipath shows errors on config
Summary: rpm -V device-mapper-multipath shows errors on config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.8
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 12:54 UTC by michal novacek
Modified: 2015-01-04 22:59 UTC (History)
17 users (show)

Fixed In Version: device-mapper-multipath-0.4.5-40.el4
Doc Type: Bug Fix
Doc Text:
Cause: the device-mapper-multipath package may modify the installed default /etc/kpartx.conf file during rpm installation. After this, /etc/kpartx.conf's size, md5sum, and time of last modification no longer match the information in the rpm package. Consequence: rpm -V device-mapper-multipath Fix: Flags were added to the spec file to tell rpm that /etc/kpartx.conf may change, and that it should ignore differences in size, md5sum and modification time. Result: rpm -V no longer prints any errors for newly installed device-mapper-multipath packages.
Clone Of:
Environment:
Last Closed: 2011-02-16 14:26:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0243 0 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2011-02-15 16:34:54 UTC

Description michal novacek 2010-05-04 12:54:08 UTC
Description of problem:
Installing device-mapper-multipath and running "rpm -V device-mapper-multipath" shows error: 
# rpm -V device-mapper-multipath
S.5....T. c /etc/kpartx.conf 

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.5-35.el4_8.2.s390x

How reproducible: always

Steps to Reproduce:
1. up2date device-mapper-multipath
2. rpm -V device-mapper-multipath
  
Additional info:
This is the (very) same as bz582330 where the proposed fix is adding "%config(noreplace) %verify(not md5 mtime size)" to .spec file.

Comment 3 Ben Marzinski 2010-10-28 03:31:20 UTC
%config(noreplace) %verify(not md5 mtime size) added to specfile.

Comment 5 Petr Beňas 2010-11-29 10:42:30 UTC
Reproduced in device-mapper-multipath-0.4.5-36.el4 and verified in device-mapper-multipath-0.4.5-40.el4.

Comment 7 errata-xmlrpc 2011-02-16 14:26:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0243.html

Comment 8 Ben Marzinski 2011-04-19 19:57:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: the device-mapper-multipath package may modify the installed default /etc/kpartx.conf file during rpm installation. After this, /etc/kpartx.conf's size, md5sum, and time of last modification no longer match the information in the rpm package. 

Consequence: rpm -V device-mapper-multipath

Fix: Flags were added to the spec file to tell rpm that /etc/kpartx.conf may change, and that it should ignore differences in size, md5sum and modification time.

Result: rpm -V no longer prints any errors for newly installed device-mapper-multipath packages.


Note You need to log in before you can comment on or make changes to this bug.